
/**
* Konstanten und Steuerworte fr die Client-Server-Kommunikation bei 
* Authentifizierung nach den Protokollen 1 und 2.
*
* @version 1.0
* @author Thomas Wolf
*/
public abstract class Authenti {

	// Konstanten

	/** Socket-Nummer fr Authentisierungs-Clients. */
	public final static int AUTHENTI_SOCKET=1717;
	/** Socket-Nummer fr Aggressoren. */
	public final static int AGGRESSOR_SOCKET=4242;
	/** Trennzeichen zwischen Daten- und Kommandoworten. */
	public final static String SEPARATOR="\n";

	// Server Steuer-Commandos

	/** Schlieen der Verbindung. */
	public final static String BYE="BYE";
	/** Anforderung des ffentlichen Schlssels des Servers. Zurckgegeben
	*   wir ein String, der den ffentlichen Schlssel des Servers enthlt. */
	public final static String GET_KEY="GET_KEY";
	/** Authentifizierung nach Protokoll 1. Jeder Teil der Nachricht mu in 
	*   einer eigenen Zeile stehen. */
	public final static String AUTHENTICATE_P1="AUTHENTICATE_P1";
	/** Authentifizierung nach Protokoll 2. Die verschlsselte Nachricht mu
	* in einer Zeile stehen; die beiden enthaltenen Nachrichten mssen durch
	* einen Zeilenumbruch (Authenti.SEPARATOR) getrennt werden. */
	public final static String AUTHENTICATE_P2="AUTHENTICATE_P2";

	// Weitere Konstanten

	/** Prfix beim Abhren/Weiterleiten der Kommunikation zwischen 
	*   anderen Teilnehmern. */
	public final static String SRV2CLI="SERVER->CLIENT:";
	/** Prfix beim Abhren/Weiterleiten der Kommunikation zwischen 
	*   anderen Teilnehmern. */
	public final static String CLI2SRV="CLIENT->SERVER:";

}

