import java.lang.RuntimeException;

/**
* Runtime-Exception, die beim Ver-Entschlsseln auftritt.
*
* @author Thomas Wolf
* @version 1.0
*/
public class EncryptionException extends RuntimeException {

	// Fehlercodes

	public final static int ES_WRONG_LENGTH=101;
	public final static int CO_TOO_BIG=102;
	public final static int CR_NO_KEY=103;
	public final static int CR_NO_PRIVATE=104;
	public final static int CR_WRONG_KEY=105;

 /**
 * Liefert die Fehlermeldung zum bergebenen Fehlercode.
 * @param errorcode Fehlercode
 * @return Fehlermeldung
 */
 private static String getErrorString(int errorcode) {
  String s="Unknown Error";
  switch (errorcode) {
   case ES_WRONG_LENGTH:
    s="Error reading Encryption-Stream: Wrong Length Encoding";
    break;
			case CO_TOO_BIG:
				s="Encoded number too big";
				break;
			case CR_WRONG_KEY:
				s="Wrong key format";
				break;
			case CR_NO_KEY:
				s="Cannot decrypt/encrypt messages (no key)";
				break;
			case CR_NO_PRIVATE:
				s="Cannot decrypt messages (no private key)";
				break;
		}
		return s;
	}

	public EncryptionException(String message) {
		super(message);
	}

	public EncryptionException(int errorcode) {
		super(getErrorString(errorcode)+".");
	}
	
}

